Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Enum GenLanguage

    java.lang.Object
      java.lang.Enum<GenLanguage>
          org.eclipse.gmf.codegen.gmfgen.GenLanguage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GenLanguage>, org.eclipse.emf.common.util.Enumerator

    public enum GenLanguage

extends java.lang.Enum<GenLanguage>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Gen Language', and utility methods for working with them.

See Also:
  `GMFGenPackage.getGenLanguage()`
** Generated **
Model:

Enum Constant Summary
`JAVA_LITERAL` The 'Java' literal object
`LITERAL_LITERAL` The 'Literal' literal object
`NREGEXP_LITERAL` The 'Nregexp' literal object
`OCL_LITERAL` The 'Ocl' literal object
`REGEXP_LITERAL` The 'Regexp' literal object

Field Summary
`static int` `JAVA` The 'Java' literal value
`static int` `LITERAL` The 'Literal' literal value
`static int` `NREGEXP` The 'Nregexp' literal value
`static int` `OCL` The 'Ocl' literal value
`static int` `REGEXP` The 'Regexp' literal value
`static java.util.List<GenLanguage>` `VALUES` A public read-only list of all the 'Gen Language' enumerators

Method Summary
`static GenLanguage` `get(int value)` Returns the 'Gen Language' literal with the specified integer value
`static GenLanguage` `get(java.lang.String literal)` Returns the 'Gen Language' literal with the specified literal value
`static GenLanguage` `getByName(java.lang.String name)` Returns the 'Gen Language' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static GenLanguage` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GenLanguage[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OCL_LITERAL

    public static final GenLanguage OCL_LITERAL

  The 'Ocl' literal object.

  See Also:
    `OCL`
  ** Generated **
  Ordered:

### JAVA_LITERAL

    public static final GenLanguage JAVA_LITERAL

  The 'Java' literal object.

  See Also:
    `JAVA`
  ** Generated **
  Ordered:

### REGEXP_LITERAL

    public static final GenLanguage REGEXP_LITERAL

  The 'Regexp' literal object.

  See Also:
    `REGEXP`
  ** Generated **
  Ordered:

### NREGEXP_LITERAL

    public static final GenLanguage NREGEXP_LITERAL

  The 'Nregexp' literal object.

  See Also:
    `NREGEXP`
  ** Generated **
  Ordered:

### LITERAL_LITERAL

    public static final GenLanguage LITERAL_LITERAL

  The 'Literal' literal object.

  See Also:
    `LITERAL`
  ** Generated **
  Ordered:

Field Detail

### OCL

    public static final int OCL

  The 'Ocl' literal value.

  If the meaning of 'Ocl' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OCL_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="ocl"

### JAVA

    public static final int JAVA

  The 'Java' literal value.

  If the meaning of 'Java' literal object isn't clear, there really should be more of a description here...

  See Also:
    `JAVA_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="java"

### REGEXP

    public static final int REGEXP

  The 'Regexp' literal value.

  If the meaning of 'Regexp' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REGEXP_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="regexp"

### NREGEXP

    public static final int NREGEXP

  The 'Nregexp' literal value.

  If the meaning of 'Nregexp' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NREGEXP_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="nregexp"

### LITERAL

    public static final int LITERAL

  The 'Literal' literal value.

  If the meaning of 'Literal' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LITERAL_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="literal"

### VALUES

    public static final java.util.List<GenLanguage> VALUES

  A public read-only list of all the 'Gen Language' enumerators.

  ** Generated **

Method Detail

### values

    public static GenLanguage[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GenLanguage c : GenLanguage.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GenLanguage valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static GenLanguage get(java.lang.String literal)

  Returns the 'Gen Language' literal with the specified literal value.

  ** Generated **

### getByName

    public static GenLanguage getByName(java.lang.String name)

  Returns the 'Gen Language' literal with the specified name.

  ** Generated **

### get

    public static GenLanguage get(int value)

  Returns the 'Gen Language' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<GenLanguage>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.